=== debian/changelog ===
szarp (3.1.727) stable; urgency=low

  * building stable

 -- Jakub Kotur <qba@mint>  Tue, 03 Dec 2013 08:45:39 +0100

szarp (3.1.726) stable; urgency=low

  * building stable

 -- root <root@newterm.pl>  Tue, 12 Nov 2013 19:45:22 +0000

szarp (3.1.725) stable; urgency=low

  * building stable

 -- tph <tph@newmsi.newterm.pl>  Mon, 04 Nov 2013 15:10:27 +0100

szarp (3.1.725) unstable; urgency=low

  * building unstable

 -- tph <tph@newmsi.newterm.pl>  Mon, 28 Oct 2013 14:05:20 +0100

szarp (3.1.724) unstable; urgency=low

  * building unstable

 -- tph <tph@newmsi.newterm.pl>  Fri, 25 Oct 2013 14:02:32 +0200

szarp (3.1.723) stable; urgency=low

  * building stable

 -- Jakub Kotur <qba@bender>  Mon, 21 Oct 2013 16:09:43 +0200

szarp (3.1.722) stable; urgency=low

  * building stable

 -- Jakub Kotur <qba@bender>  Mon, 21 Oct 2013 10:29:33 +0200

szarp (3.1.721) squeeze; urgency=low

  * building squeeze

 -- root <root@newterm.pl>  Tue, 15 Oct 2013 19:14:31 +0000

szarp (3.1.720) squeeze; urgency=low

  * building squeeze

 -- root <root@newterm.pl>  Tue, 15 Oct 2013 19:13:44 +0000

szarp (3.1.719) stable; urgency=low

  * building stable

 -- root <root@newterm.pl>  Tue, 15 Oct 2013 18:43:38 +0000

szarp (3.1.718) unstable; urgency=low

  * building unstable 

 -- Krzysztof Gałązka <kg@newterm.pl>  Sun, 04 Aug 2013 17:18:29 +0200

szarp (3.1.717) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Thu, 01 Aug 2013 14:35:52 +0200

szarp (3.1.716) unstable; urgency=low

  * building unstable 

 -- Krzysztof Gałązka <kg@newterm.pl>  Mon, 29 Jul 2013 17:00:32 +0200

szarp (3.1.715) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 24 Jul 2013 16:59:14 +0200

szarp (3.1.711) unstable; urgency=low

  * building unstable 

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 09 Jul 2013 16:05:45 +0200

szarp (3.1.710) unstable; urgency=low

  * building unstable 

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 09 Jul 2013 15:58:10 +0200

szarp (3.1.709) stable; urgency=low

  * building stable

 -- Jakub Kotur <qba@bender>  Mon, 08 Jul 2013 18:32:33 +0200

szarp (3.1.707) stable; urgency=low

  * building stable

 -- root <root@fry>  Mon, 27 May 2013 16:04:31 +0000

szarp (3.1.706) stable; urgency=low

  * building stable

 -- Jakub Kotur <qba@newterm.pl>  Thu, 16 May 2013 23:50:10 +0200

szarp (3.1.705) unstable; urgency=low

  * building unstable

 -- Jakub Kotur <qba@newterm.pl>  Thu, 16 May 2013 23:44:52 +0200

szarp (3.1.704) unstable; urgency=low

  * building unstable

 -- Jakub Kotur <qba@newterm.pl>  Wed, 15 May 2013 17:02:30 +0000

szarp (3.1.703) unstable; urgency=low

  * building unstable

 -- root <root@fry>  Wed, 15 May 2013 09:28:41 +0000

szarp (3.1.702-test1) test; urgency=low

  * building test

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 15 May 2013 08:57:02 +0000

szarp (3.1.702) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 05 Mar 2013 10:55:27 +0100

szarp (3.1.701) squeeze; urgency=low

  * building squeeze

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 19 Feb 2013 12:08:14 +0100

szarp (3.1.700) squeeze; urgency=low

  * building squeeze

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 19 Feb 2013 11:22:20 +0100

szarp (3.1.699) squeeze; urgency=low

  * building squeeze

 -- Marta Szawara <marta@sloneczko>  Mon, 18 Feb 2013 10:16:57 +0100

szarp (3.1.698) unstable; urgency=low

  * building unstable

 -- Marta Szawara <marta@sloneczko>  Fri, 15 Feb 2013 11:54:15 +0100

szarp (3.1.697) unstable; urgency=low

  * building unstable

 -- Marta Szawara <marta@sloneczko>  Fri, 15 Feb 2013 11:51:51 +0100

szarp (3.1.697) squeeze; urgency=low

  * building squeeze

 -- Krzysztof Gałązka <kg@newterm.pl>  Mon, 11 Feb 2013 15:36:33 +0100

szarp (3.1.696) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Fri, 25 Jan 2013 09:40:31 +0100

szarp (3.1.695) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Sat, 12 Jan 2013 15:14:39 +0100

szarp (3.1.694) squeeze; urgency=low

  * building squeeze

 -- Krzysztof Gałązka <kg@newterm.pl>  Mon, 26 Nov 2012 21:20:37 +0100

szarp (3.1.693) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 21 Nov 2012 16:58:38 +0100

szarp (3.1.692) unstable; urgency=low

  * building unstable

 -- Darek Marcinkiewicz <reksio@newterm.pl>  Thu, 17 Nov 2012 11:29:44 +0200

szarp (3.1.690) squeeze; urgency=low

  * building squeeze

 -- Jakub Kotur <qba@newterm.pl>  Tue, 06 Nov 2012 17:23:08 +0100

szarp (3.1.689) unstable; urgency=low

  * building unstable

 -- Jakub Kotur <qba@bender>  Thu, 11 Oct 2012 11:29:44 +0200

szarp (3.1.686) unstable; urgency=low

  * building unstable

 -- Jakub Kotur <qba@bender>  Thu, 11 Oct 2012 11:29:43 +0200

szarp (3.1.685) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 21 Sep 2012 11:18:07 +0200

szarp (3.1.684) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 21 Sep 2012 11:18:07 +0200

szarp (3.1.682) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 04 Sep 2012 10:18:18 +0200

szarp (3.1.681) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Thu, 31 Aug 2012 20:05:24 +0200

szarp (3.1.680) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Thu, 20 Aug 2012 20:05:24 +0200

szarp (3.1.679) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Thu, 16 Aug 2012 20:05:24 +0200

szarp (3.1.678) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 15 Aug 2012 16:22:48 +0200

szarp (3.1.677) unstable; urgency=low

  * build unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Fri, 03 Aug 2012 15:03:03 +0200

szarp (3.1.676) unstable; urgency=low

  * building unstable 


