=== debian/control ===
#$Id: control 6846 2009-06-23 15:40:30Z pawel $

Source: szarp
Priority: optional
Maintainer: Newterm Developers <devs@newterm.pl>
Section: misc
Standards-Version: 3.6.1
X-Python-Version: >= 2.6
Build-Depends: debhelper (>= 5.0.38), autotools-dev, automake, autoconf, autoconf-archive, ccache, libwxgtk3.0-dev, wx-common, libwxbase3.0-dev, libxml2-dev, bison, flex, imagemagick, jadetex, gettext, xsltproc, libxslt1-dev, libnewt-dev, libssl-dev |  libssl1.0-dev, libpam-dev | libpam0g-dev, libcurl3-dev | libcurl4-gnutls-dev, perl, librsync-dev, libgtk2.0-dev, libsqlite3-dev, libldap2-dev (>= 2.3.5), python-setuptools (>= 0.6b3-1), libzip-dev, jade | openjade, python-pybabel | python-babel, libicu-dev, libxt-dev, libc-ares-dev, libxmlrpc-epi-dev, libluajit-5.1-dev | liblua5.1-0-dev, libftgl-dev, libboost-dev (>=1.55), libboost-system-dev (>=1.55), libboost-thread-dev (>=1.55), libboost-program-options-dev (>=1.55), libboost-regex-dev (>=1.55), libboost-filesystem-dev (>=1.55), libboost-python-dev (>=1.55), libboost-locale-dev (>=1.55), libboost-signals-dev (>=1.55), libasio-dev | libasio1.55-dev, libstdc++-dev, libxpm-dev, libevent-dev(>=2.0), docbook-dsssl, docbook, rsync, dh-python, konwert, pyqt4-dev-tools, libtool, python-all-dev, python-dev, pyqt4-dev-tools, qt4-linguist-tools, libzmq3-dev, libcppunit-dev, protobuf-compiler, python-zmq, libprotobuf-dev, python-sip, python-lxml, python-protobuf, texlive-generic-recommended, libsnap7-dev, libsystemd-dev

Package: szarp-base
Section: misc
Architecture: any
Conflicts: szarp-scripts (<=2.2.4333)
Depends: ${shlibs:Depends}, ${misc:Depends}, apt(>=0.6.0), gnupg, openssh-client, openssh-server, rsync, curl
Description: SZARP basic components
 SZARP - Linux SCADA software - system for data acquisition, 
 archiving and raporting - package containing basic components.

Package: szarp-daemons
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, python-lxml, python-decorator, python-twisted, python-daemon, python-zmq, python-protobuf, python-systemd, libsnap71
Suggests: python-twisted-core
Breaks: szarp-proprietary-daemons(<=3.1-10)
Conflicts: szarp-proprietary-daemons(<=3.0.6824), szarp-sss, szarp-utils (<=2.2.2070)
Replaces: szarp-proprietary-daemons(<=3.0.6824), szarp-sss
Description: SZARP server daemons
 SZARP daemons and other essential applications
 run on a server.

Package: szarp-utils
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, szarp-base, python-clint, python-lxml, python-svn, python-protobuf
Description: SZARP utilities
 SZARP various utilities. 

Package: szarp-scripts
Section: misc
Architecture: any
Suggests: szarp-utils, smbclient, wget, ppp, xdialog, libxml2-utils (>=2.7.0)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}, bc
Description: SZARP scripts
 SZARP auxiliary scripts.

Package: szarp-server
Section: misc
Architecture: any
Conflicts: szarp-viewer, szarp-terminal
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, szarp-daemons, szarp-utils, openssl, subversion, szarp-paramd, szarp-iks-server
Suggests: szarp-proprietary-daemons
Description: Configure SZARP as a server
 Package that configures SZARP for use as a server.

Package: szarp-wx
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, szarp-doc-html, zip, xdg-utils, sshpass
Recommends: libwxgtk3.0-0v5 | libwxgtk3.0-0
Description: SZARP GUI programs based on wxWidgets library
 SZARP raporter3, reporter4, kontroler3, scc, ekstraktor3, wxhelp, draw3

Package: szarp-ipkedit
Section: x11
Architecture: any
Conflicts: szarp-wx (<< 3.18.8+9rc)
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, szarp-utils, szarp-doc-html, zip, xdg-utils, sshpass
Recommends: libwxgtk3.0-0v5 | libwxgtk3.0-0
Description: SZARP ipkedit

Package: szarp-terminal
Section: x11
Architecture: any
Conflicts: szarp-viewer, szarp-server
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, szarp-wx, szarp-doc-html
Description: Configure SZARP as a terminal
 This package depends on other SZARP's  packages that are 
 required for SZARP to act as a terminal.

Package: szarp-viewer
Section: x11
Architecture: any
Conflicts: szarp-terminal
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, szarp-wx, szarp-doc-html
Description: Configure SZARP for viewing databases
 This package installs other SZARP's packages so that it is capable of viewing
 databases with parameters history.
 This package installs szarp-base, szarp-wx, szarp-doc-html
 packages and configures method of downloading databases.

Package: szarp-paramd
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base
Suggests: szarp-daemons
Description: SZARP http daemon
 SZARP paramd - http server for parameters values. It replaces old netpard
 daemon; szarp-xsltd is also needed to run server for raporter3 and kontroler3
 programs.

Package: szarp-xsltd
Section: misc
Architecture: any
Depends: szarp-paramd, apache2, libapache2-mod-python, python-lxml
Description: SZARP raporter3/kontroler3 server
 This package contains Apache2 virtual server configuration to create server
 for ISL (Industry Schema Language) data visualization. Apache python handler
 and XSLT is used to prepare dynamic SVG schemas.

Package: szarp-server-complete
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-daemons, szarp-base, szarp-wx, szarp-doc-html, szarp-server, szarp-xsltd, szarp-scripts, szarp-utils
Description: This package contains complete SZARP distribution
 This package contains compontents that gets installed by performing make; make doc;make install from
 SZARP source tree. Configures itself as SZARP server.

Package: szarp-updater
Section: misc
Architecture: all
Depends: szarp-base (>=2.2.1319), ${perl:Depends}, libapt-pkg-perl
Description: SZARP packages updater
 Package sets up a cron job for updating SZARP packages.
 Also allows to specify which SZARP distribution should 
 be installed.

Package: szarp-koper
Section: misc
Architecture: any
Depends: szarp-base, szarp-wx, msttcorefonts
Description: SZARP premium calulator.
 Package installs program for premium calculation. Currently
 KOPER only displays average value of 'Financial loss' parametr.

Package: szarp-doc-pdf
Section: doc
Architecture: all
Description: PDF documentation for SZARP
 SZARP documentation in Portable Data Format (PDF).
 
Package: szarp-doc-html
Section: doc
Architecture: all
Depends: szarp-base
Description: HTML documentation for SZARP
 SZARP documentation in HTML and wxHelp format.

Package: szarp-filler
Section: python
Architecture: all
Depends: python-xml | python (>=2.6), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, szarp-utils, python-egenix-mxdatetime, python-wxgtk2.8,  gettext
Description: SZARP database filler
 SZARP filler - wxPython program editing editable parameters in SZARP
 database.

Package: szarp-isledit
Section: graphics
Architecture: any
Depends: szarp-base, ${shlibs:Depends}, ${misc:Depends}, inkscape
Description: Inkscape plugin for editing SZARP ISL visualization schemas
 Plugin for editing ISL visualization schemas using Inkscape vector drawing
 program.

Package: szarp-sssweb
Section: misc
Architecture: any
Depends: ${python:Depends}, python-pylons (>=1.0-2)
Suggests: apache2, python-flup
Description: Web interface for SZARP synchronization server.
 Pylons-based web application for administration of SZARP synchronization
 server (SSS) users. There's also a simple interface for users, to let them
 view there settings and request password change. SSSWeb can be deployed
 as standalone server or as a FastCGI.

Package: szarp-nagios
Section: misc
Architecture: all
Depends: python, ${python:Depends}, nagios3, fam, python-fam
Description: Nagios plugin to monitor SZARP servers.
 Nagios is a monitoring system for hosts and services. This package
 contains plugin for nagios, that allows monitoring if data from remote
 SZARP servers is synchronized on time. It can also discover problems
 with individual devices monitored by SZARP and with VPN hosts accessibility.

Package: szarp-dbg-symbols
Section: misc
Architecture: any
Description: Debug symbols for szarp binaries
 Contains debug symbols for szarp binaries.

Package: szarp-iks
Section: misc
Architecture: any
Depends: apache2 , websockify , szarp-iks-server 
Description: Virtual package that depends on all packages needed to iks system

Package: szarp-iks-server
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SZARP iks system server
 This package contains szarp iks server that provide data from szarp, knlib
 or remote location for iks system client applications.

Package: szarp-filler2
Section: python
Architecture: all
Depends: python (>=2.6), ${python:Depends}, szarp-utils, szarp-daemons, python-qt4, python-matplotlib, python-tk, tango-icon-theme
Description: SZARP Filler 2 is a tool for manual szbase data editing.
 This package contains SZARP Filler 2 application that enable user to manually
 edit szbase database. It is written in pyQt4.
